Bug 182218 - [handbook] Add an ipfilter rc.conf option in handbook for IPv6
Summary: [handbook] Add an ipfilter rc.conf option in handbook for IPv6
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Allan Jude
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-19 02:50 UTC by pl
Modified: 2020-07-11 18:29 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pl 2013-09-19 02:50:00 UTC
I'm one of the lucky people to have found a hosting provider which supports both IPv4 /and/ IPv6 (native /64 IPv6 netblock on each server).

My firewall of choice: IPFilter, mainly because of my Sun Solaris / SunOS roots.
Why I don't switch: "If it isn't broken...".

I'm reading:
http://www.freebsd.org/doc/handbook/firewalls-ipf.html

Section 30.5.3 lists the options one can use in rc.conf but only those for IPv4, people using IPv6 are left in the dark.

Fix: 

(note that these are only suggestions)

Add the following line:

ipv6_ipfilter_rules="/etc/ipf6.rules" # loads rules definition text file for IPv6

..after this existing line:

ipfilter_rules="/etc/ipf.rules" # loads rules definition text file
Comment 1 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:00:33 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 2 commit-hook freebsd_committer 2020-07-11 17:50:59 UTC
A commit references this bug:

Author: allanjude
Date: Sat Jul 11 17:50:13 UTC 2020
New revision: 54330
URL: https://svnweb.freebsd.org/changeset/doc/54330

Log:
  Include an example of how to load IPv6 rules for ipfilter

  PR:		182218
  Submitted by:	debdrup
  Reported by:	pl@catslair.org
  Sponsored by:	Klara Inc.
  Event:		July 2020 Bugathon
  Differential Revision:	https://reviews.freebsd.org/D25624

Changes:
  head/en_US.ISO8859-1/books/handbook/firewalls/chapter.xml